Subject: Re: [RFC] Introducing AI Agents to Git Localization

From: Michal Suchánek <[email-masked]>
Date: Thu, 5 Feb 2026 09:30:10 +0100

On Thu, Feb 05, 2026 at 10:06:58AM +0800, Jiang Xin wrote:
> On Wed, Feb 4, 2026 at 9:00 PM Michal Suchánek <[email-masked]> wrote:
> >
> > On Wed, Feb 04, 2026 at 12:58:05PM +0100, Peter Krefting wrote:
> > > 2026-02-04 10:31 skrev Jiang Xin:
> > >
> > > > Please try using AI coding tools to update translations in po/XX.po or
> > > > review historical translations, following the prompts below:
> > >
> > > No.
> > >
> > > Please disable this altogether for the Swedish localization. "Translation"
> > > using stochastic parrots is not mature and just creates gibberish that takes
> > > more time to clean up than to do the translation from scratch manually.
> >
> > Hello,
> >
> > a similar attempt was widely reported, eg. here:
> > https://linuxiac.com/ai-controversy-forces-end-of-mozilla-japanese-sumo-community/
> >
> > As pointed out the availiability of the tools is not necessarily a
> > problem in itself. The problem in that particular case was that Mozilla
> > automatically applied the tools to existing translations, even
> > well-maintained ones.
> 
> Thank you for the context—this is a good reminder that automation
> should never override community judgment.
> 
> To be clear, using AI as a translation aid is entirely up to each
> contributor. In Git 2.53’s l10n cycle, I temporarily handled the
> Chinese translation (as the usual lead was unavailable), translated
> all new strings, and fixed many issues in older translations—both
> speed and quality were surprisingly good.
> 
> As an l10n coordinator, I’ve long struggled with reviewing PRs: while
> git-po-helper catches technical errors, it can’t assess translation
> quality or detect irrelevant content like ads or political text. Here,
> AI can help flag such issues during review.

That is really sad.  'ads or political text' sounds like something that
would be visible immediately if somebody looked at the change at all.
Which implies that you do not want to look at it, and have AI review
it. That is put AI in charge. That's not going to go well.

Translation quakity is something AI cannot help with unless you want it
to decrease.

Thanks

Michal